Commit 0975e3da authored by Marc Lehmann's avatar Marc Lehmann

see plug-ins/perl/Changes

parent fbf9e32e
Revision history for Gimp-Perl extension.
- added italian translations by Daniele Medri (madrid@kjws.com).
- POINTS really are decipoints: correct xlfd_size to create
larger (& more correct) fonts.
1.14 Mon Oct 11 03:23:13 CEST 1999
- set the version of all modules explicitly (for the benefit of CPAN).
- added examples/avi (avi load/save plug-in, uncompressed 24 bit).
- possible fix for another installation horror problem.
......
......@@ -12,7 +12,7 @@ use subs qw(init end lock unlock canonicalize_color);
BEGIN {
require DynaLoader;
@ISA=qw(DynaLoader);
$VERSION = 1.14;
$VERSION = 1.15;
bootstrap Gimp $VERSION;
}
......@@ -176,8 +176,8 @@ sub import($;@) {
sub xlfd_size($) {
local $^W=0;
my ($px,$pt)=(split(/-/,$_[0]))[7,8];
$px>0 ? ($px ,&Gimp::PIXELS)
: ($pt*0.1,&Gimp::POINTS);
$px>0 ? ($px,&Gimp::PIXELS)
: ($pt,&Gimp::POINTS);
}
sub init_gtk {
......
......@@ -43,7 +43,7 @@ Gimp-Perl extension (contact him to include new functions) is Marc Lehmann
package Gimp::Compat;
$VERSION=1.14;
$VERSION=1.15;
use Gimp ('croak', '__');
......
......@@ -6,7 +6,7 @@ use base qw(DynaLoader);
require DynaLoader;
$VERSION = 1.14;
$VERSION = 1.15;
use subs qw(
gimp_call_procedure gimp_main gimp_init
......
......@@ -19,7 +19,7 @@ package Gimp::Module;
use base qw(DynaLoader);
require DynaLoader;
$VERSION=1.14;
$VERSION=1.15;
bootstrap Gimp::Module;
......
......@@ -19,7 +19,7 @@ use Gimp ('croak','__');
require DynaLoader;
$VERSION = 1.14;
$VERSION = 1.15;
bootstrap Gimp::Net $VERSION;
......
package Gimp::Pod;
$VERSION=1.14;
$VERSION=1.15;
sub myqx(&) {
local $/;
......
......@@ -4,7 +4,7 @@ use Gimp ('__');
use Gimp::Fu;
use Gtk;
$VERSION = 1.14;
$VERSION = 1.15;
=head1 NAME
......
......@@ -51,7 +51,7 @@ require Exporter;
use Gimp;
$VERSION=1.14;
$VERSION=1.15;
##############################################################################
=pod
......
......@@ -120,3 +120,4 @@ examples/avi
pxgettext
po/gimp-perl.pot
po/de.po
po/it.po
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment